//::///////////////////////////////////////////////
//:: Name: Custom item activation
//:: FileName: tab_activateitem
//:://////////////////////////////////////////////
/*

This script goes in the OnItemActivation event of your Module
Properties.

*/
//:://////////////////////////////////////////////
//:: Last Modified By: Charles
//:: Last Modified On: August 2003
//:://////////////////////////////////////////////

#include "cs_misc_function"

void main()
{
    // WriteTimestampedLogEntry("Entering Module onActivateItem: trinity_activate");

    //
    // This script will run on ANY activated object.  The name of the object is the name of the
    // script that will be executed.
    //
    // Example:
    //
    // The 'HOMESTONE' Tag will result in a call of the 'homestone' script.  It is not case sensitive...
    //
    // Current Tags available:
    // dmshelper
    // KeyOfCheating
    // cloakpotion
    // xx_tmport
    // xx_dwarfport
    // xx_manyport
    // xx_nordicport
    // xx_dragonport
    // xx_trinport
    // xx_emotewand
    // xx_tempcain
    // xx_atlport
    // xx_testreward
    // dreamcatcher
    // mindport
    // Homestone
    // Badgerhealm
    // KeyOfCheating
    // Symbolofmight
    // dmwand
    // xx_reward2k
    // xx_reward10k

    cs_DEBUG_ON();
    cs_DEBUG_SPEAK("Executing Script: " + GetTag(GetItemActivated()));
    ExecuteScript(GetTag(GetItemActivated()), OBJECT_SELF);
    cs_DEBUG_OFF();

  //Shifter
  object oItem = GetItemActivated();
  object oPC = GetItemActivator();
  string sItem = GetTag(oItem);



  if (sItem == "ShifterControl")
  {
    SetLocalString(GetModule(), "TheShifter", sItem);
    AssignCommand(oPC, ActionStartConversation(oPC, "shifter", TRUE) );
  }
  //other shifter stuff
  if (sItem == "BLADEOFMAGICAL" || sItem == "BLADEOFDIVINE" ||
      sItem == "DARKNESSESBANE" || sItem == "BLADEOFTHELOWERREALMS")
  {AssignCommand(oPC, ActionStartConversation(oPC, "shifterenergy", TRUE) );}

    //Veras Ring
  if (sItem == "AWRINGOFVERAPLAYER")ExecuteScript("aw_staffofvera", oPC);
    //Shifter Drider Form
  if (sItem == "AWSHIFTERDRIDER") ExecuteScript("aw_c_shifter_dri", oPC);
    //Shifter Minotaur Form
  if (sItem == "AWSHIFTERMINOT")ExecuteScript("aw_c_shifter_min", oPC);
    //Shifter Beholder Form
  if (sItem == "AWEYEOFTHEBEHOLDER")ExecuteScript("aw_c_shifter_beh", oPC);
    //Divine Burst
  if (sItem == "AWDIVINEBURST")ExecuteScript("aw_spell_db", oPC);
    //Dark Vengeance
  if (sItem == "AWDARKVENGEANCE")ExecuteScript("aw_spell_darkven", oPC);
    //Mind Control
  if (sItem == "AWMINDCONTROL")ExecuteScript("aw_spell_control", oPC);
    //Rotten Egg
  if (sItem == "AWEGGSPLAT")ExecuteScript("aw_egg", oPC);
    //Druid Buffs
  if (sItem == "AWDRUIDBUFF")AssignCommand(oPC, ActionStartConversation(oPC, "awdruidbuff", TRUE));




}

