//Script: cal_explode
// Exploding Death

void ExplodeAtLocation(location lTarget, int nDamage, int nSaveDC = 20, float fRadius = 15.) {
  ApplyEffectAtLocation(DURATION_TYPE_INSTANT, EffectVisualEffect(VFX_FNF_FIREBALL), lTarget);
  object oObject = GetFirstObjectInShape(SHAPE_SPHERE, fRadius, lTarget);
  do {
    int nDamageAfterSave = GetReflexAdjustedDamage(nDamage, oObject, nSaveDC);
    ApplyEffectToObject(DURATION_TYPE_INSTANT, EffectDamage(nDamageAfterSave, DAMAGE_TYPE_FIRE), oObject);
   } while ((oObject = GetNextObjectInShape(SHAPE_SPHERE, fRadius, lTarget)) != OBJECT_INVALID);
}

void main()
{

      ExecuteScript("nw_c2_default7", OBJECT_SELF);
    ExecuteScript("tab_xpscript",OBJECT_SELF);
  location lSource = GetLocation(OBJECT_SELF);
  DelayCommand(1., ExplodeAtLocation(lSource, d12(55)));
}
