//////
// Force Effects: Bounce
// Force Cage
// Created by Solias (sorcerer@wnwn.net)
// http://www.wnwn.net/
//
////
// ffx_fc_outside - Force Cage outside trigger script
//
// the outside triggers on a force cage prevent anyone from entering the cage,
// this script goes in their onEnter event.
//
// note: this script is identical to the general dynamic bounce script. It is seperate
// to allow changes to be made without affecting other force fields.


#include "ffx_inc"

void main() {
    object player = GetEnteringObject();
    string group_tag = GetStringRight(GetTag(OBJECT_SELF), 2);
    if(GetLocalInt(GetModule(), "ffx_group_active_" + group_tag) == 1) ffx_bounce(player, 2.0);
}
