//::///////////////////////////////////////////////
//:: Name: Custom item activation
//:: FileName: tab_activateitem
//:://////////////////////////////////////////////
/*

This script goes in the OnItemActivation event of your Module
Properties.

*/
//:://////////////////////////////////////////////
//:: Last Modified By: Charles
//:: Last Modified On: August 2003
//:://////////////////////////////////////////////

#include "cs_misc_function"

void main()
{
    // WriteTimestampedLogEntry("Entering Module onActivateItem: trinity_activate");

    //
    // This script will run on ANY activated object.  The name of the object is the name of the
    // script that will be executed.
    //
    // Example:
    //
    // The 'HOMESTONE' Tag will result in a call of the 'homestone' script.  It is not case sensitive...
    //
    // Current Tags available:
    //
    // Homestone
    // Badgerhealm
    // KeyOfCheating
    // Hornoftheguards
    // Globeoftherelease
    // Symbolofmight
    // xx_tmport
    // xx_dwarfport
    // xx_manyport
    // xx_cavesport
    // xx_snowport
    // xx_ironport
    // legendpallyaa
    // cb_flyscript
    // xx_emotewand



    cs_DEBUG_ON();
    cs_DEBUG_SPEAK("Executing Script: " + GetTag(GetItemActivated()));
    ExecuteScript(GetTag(GetItemActivated()), OBJECT_SELF);
    cs_DEBUG_OFF();

  //Shifter
  object oItem = GetItemActivated();
  object oPC = GetItemActivator();
  string sItem = GetTag(oItem);

  if (sItem == "ShifterShort" ||
      sItem == "ShifterTwin" ||
      sItem == "ShifterLongsword" ||
      sItem == "ShifterGreatSword" ||
      sItem == "ShifterControl" ||
      sItem == "ShifterBastard")
  {
    SetLocalString(GetModule(), "TheShifter", sItem);
    AssignCommand(oPC, ActionStartConversation(oPC, "shifter", TRUE) );
  }
}
