
#include "asg_i_dbplayer"
#include "cs_misc_function"
#include "prc_inc_spells"

void main ()
{

    object oPlayer = GetEnteringObject();
    object oMOD = GetModule();
    //    string sPlayerName = GetName(oPlayer);
    //    string sPCPlayerName = GetPCPlayerName(oPlayer);
    //    string sCDKey = GetPCPublicCDKey(oPlayer);
    //    string sIP = GetPCIPAddress(oPlayer);

     int iASGPDB = GetLocalInt(GetModule(),"ASG_PLAYERDATABASE");
    if (iASGPDB==FALSE)
    {
        SetLocalInt(GetModule(),"ASG_PLAYERDATABASE",TRUE);
        PrintString("* ASG Player Database Installed.");
    }
    if (GetIsPC(oPlayer) && !GetIsDM(oPlayer))
    {

        SendMessageToPC(oPlayer,"(!) Trinity OnEnter Database Script Activated.");
        string sMod = GetTag(oMOD); // Module Tag, used as part of the Database Name;
        string sMDB = "MDB_"+sMod; // Master Player Database name
        string sPDB = GetPCPlayerName(oPlayer); // Individule Player Database Name;
        // In order to try to create a Unique Key with limited Characters
        // Use the 1st and last 4 letters Characters Name and Public CD Key.
        // this will leave use 12 characters  for varible information.
        // Why? Because we have only 32 character to play with when placing a
        // Varible into the Database.
        string sName = GetName(oPlayer);
        string CDKey = GetPCPublicCDKey(oPlayer);
        string sID = GetStringLeft(sName,20); // Indivudual Character Used inside the
        // Player Databse (sPDB) as Unique Varible name for player.
        int iPlayerNum =  GetCampaignInt(sPDB,"MDB_ID");
        if (iPlayerNum == 0)
        {
            // Checks agains the Players Persnal Dabatase and looks for the
            // Module Players ID file Start NEW player.
            PlayerDatabase("S",oPlayer);
            iPlayerNum =  GetCampaignInt(sPDB,"MDB_ID");
        }
        // Player ID has been essablished now to check to see if the
        // character he has brought to the table is part of the databse
        int iCharID = GetCampaignInt(sPDB,sID+"CharID");
        if (iCharID < 1) // Determined that this is A NEW Character
        {
            // Init new Char
            PlayerDatabase("I",oPlayer);
            // Write to Database
            PlayerDatabase("W",oPlayer);
            // Read and set varibles
            PlayerDatabase("R",oPlayer);
            DelayCommand(4.5,AssignCommand(oPlayer,JumpToLocation(GetLocation(GetWaypointByTag("wp_jano_01")))));

        }
        else
        {
            // Exsisting Character Read from Database
            PlayerDatabase("R",oPlayer);
        }
    }

    cs_CheckIfLegalCharacter(oPlayer);                      // Check if Legal Character
    cs_DestroyStolenItems(oPlayer);                         // Destroy any stolen items
    cs_LimitGoldInBank(oPlayer, 50000000);                  // Limit gold in bank
    cs_LimitGoldOnPlayer(oPlayer, 10000000);                // Limit gold on player

    DelayCommand(3.0,cs_StripPlayerSpells(oPlayer));                          // Strip Spells
     DelayCommand(4.0,cs_StripPlayerFeats(oPlayer));                           // Strip Feats
    DelayCommand(2.0,cs_MakeAllItemsNoClean(oPlayer));            // Set items for store cleanup script

    cs_RemoveIllegalItem(oPlayer, "ShifterShort");        // Remove all illegal items (None replaced)
    cs_RemoveIllegalItem(oPlayer, "ShifterTwin");
    cs_RemoveIllegalItem(oPlayer, "ShifterLongsword");
    cs_RemoveIllegalItem(oPlayer, "ShifterGreatSword");
    cs_RemoveIllegalItem(oPlayer, "ShifterControl");
    cs_RemoveIllegalItem(oPlayer, "ShifterBastard");
    cs_RemoveIllegalItem(oPlayer, "TheShifter");
    cs_RemoveIllegalItem(oPlayer, "LloydsMagicforMasters");
    cs_RemoveIllegalItem(oPlayer, "GreaterBookofTransmutation");
    cs_RemoveIllegalItem(oPlayer, "VoidMonkRobes");
    cs_RemoveIllegalItem(oPlayer, "TRINITYMASTERKEY");

    //
    // Removed Items use the TAG, Created Items use the ResRef!
    // Tags must also be different... at least for now.
    //

    // Remove 'ArmoroftheShiningsea' and replace with 'armorofunspokenp' (Unique item, so only 1 allowed)
    if (cs_RemoveIllegalItem(oPlayer, "ArmoroftheShiningSea") > 0) { cs_CreateObjectOnPlayer("armorofunspokenp", oPlayer); }

    // Remove 'BIGOSWAND' and replace with 'bigoswand001' (Unique item, so only 1 allowed)
    if (cs_RemoveIllegalItem(oPlayer, "BIGOSWAND") > 0) { cs_CreateObjectOnPlayer("bigoswand001", oPlayer); }

    // Remove 'NW_CLOTH008' and replace with 'grendelsorb001' (Unique item, so only 1 allowed)
    if (cs_RemoveIllegalItem(oPlayer, "NW_CLOTH008") > 0) { cs_CreateObjectOnPlayer("trinitynoob", oPlayer); }

    // Remove 'NW_CLOTH005' and replace with 'grendelsorb001' (Unique item, so only 1 allowed)
    if (cs_RemoveIllegalItem(oPlayer, "NW_CLOTH005") > 0) { cs_CreateObjectOnPlayer("trinitynoob", oPlayer); }

    // Remove 'NW_CLOTH004' and replace with 'grendelsorb001' (Unique item, so only 1 allowed)
    if (cs_RemoveIllegalItem(oPlayer, "NW_CLOTH004") > 0) { cs_CreateObjectOnPlayer("trinitynoob", oPlayer); }

    // Remove 'NW_CLOTH016' and replace with 'grendelsorb001' (Unique item, so only 1 allowed)
    if (cs_RemoveIllegalItem(oPlayer, "NW_CLOTH016") > 0) { cs_CreateObjectOnPlayer("trinitynoob", oPlayer); }

    // Remove 'NW_CLOTH001' and replace with 'grendelsorb001' (Unique item, so only 1 allowed)
    if (cs_RemoveIllegalItem(oPlayer, "NW_CLOTH001") > 0) { cs_CreateObjectOnPlayer("trinitynoob", oPlayer); }

    // Remove 'NW_IT_MPOTION01' and replace with 'grendelsorb001' (Unique item, so only 1 allowed)
    if (cs_RemoveIllegalItem(oPlayer, "NW_IT_MPOTION001") > 0) { cs_CreateObjectOnPlayer("potioncritical", oPlayer); }

        // Remove '4CAVES' and replace with 'dwarfport002' (Unique item, so only 1 allowed)
    if (cs_RemoveIllegalItem(oPlayer, "4CAVES") > 0) { cs_CreateObjectOnPlayer("dwarfport002", oPlayer); }

        // Remove 'DRAGONSOURCESTONE' and replace with 'dwarfport003' (Unique item, so only 1 allowed)
    if (cs_RemoveIllegalItem(oPlayer, "DRAGONSOURCESTONE") > 0) { cs_CreateObjectOnPlayer("dwarfport003", oPlayer); }

        // Remove 'MANYSOURCE' and replace with 'dwarfport001' (Unique item, so only 1 allowed)
    if (cs_RemoveIllegalItem(oPlayer, "MANYSOURCE") > 0) { cs_CreateObjectOnPlayer("dwarfport001", oPlayer); }

        // Remove 'TMSOURCESTONE' and replace with 'thundermounti001' (Unique item, so only 1 allowed)
    if (cs_RemoveIllegalItem(oPlayer, "TMSOURCESTONE") > 0) { cs_CreateObjectOnPlayer("thundermounti001", oPlayer); }

        // Remove 'it_DwarfSourceStone' and replace with 'dwarfport' (Unique item, so only 1 allowed)
    if (cs_RemoveIllegalItem(oPlayer, "it_DwarfSourceStone") > 0) { cs_CreateObjectOnPlayer("dwarfport", oPlayer); }

    // Remove 'StoneofSeparation' and replace with ...
    if (cs_RemoveIllegalItem(oPlayer, "StoneofSeparation") > 0) { cs_CreateObjectOnPlayer("separationstone", oPlayer); }


//Define Variables
object PC = oPlayer ;
int iRace = MyPRCGetRacialType(PC);
int nXP = GetXP(PC);
string sSubRace = GetSubRace(PC);


//Cult of Mini                sec

            if (GetXP(PC) == 0 && GetIsDM(PC) == FALSE &&iRace == RACIAL_TYPE_HALFLING && GetSubRace(PC)== "Cult of Mini")
            {
            //Give Special items
            CreateItemOnObject("mini_item1",PC, 1);
            // Give Hide
            object oSpecialItem = CreateItemOnObject ("mini_1", PC, 1);
            //Equip Hide
            AssignCommand(oPlayer, ActionEquipItem (oSpecialItem, INVENTORY_SLOT_CARMOUR));
            FloatingTextStringOnCreature("Cult of Mini racial benefits applied succesfully",PC, TRUE);
}

else

//Shadow Legionnaire

            if (GetXP(PC) == 0 && GetIsDM(PC) == FALSE &&iRace == RACIAL_TYPE_HALFLING && GetSubRace(PC)== "Shadow Legionnaire")
            {
            //Give Special items
            CreateItemOnObject("legion_item1",PC, 1);
            // Give Hide
            object oSpecialItem = CreateItemOnObject ("legion_1", PC, 1);
            //Equip Hide
            AssignCommand(oPlayer, ActionEquipItem (oSpecialItem, INVENTORY_SLOT_CARMOUR));
            FloatingTextStringOnCreature("Shadow Legionnaire racial benefits applied succesfully",PC, TRUE);
}

else

//Shadow Legionnaire

            if (GetXP(PC) == 0 && GetIsDM(PC) == FALSE &&iRace == RACIAL_TYPE_HUMAN && GetSubRace(PC)== "Shadow Legionnaire")
            {
            //Give Special items
            CreateItemOnObject("legion_item1",PC, 1);
            // Give Hide
            object oSpecialItem = CreateItemOnObject ("legion_1", PC, 1);
            //Equip Hide
            AssignCommand(oPlayer, ActionEquipItem (oSpecialItem, INVENTORY_SLOT_CARMOUR));
            FloatingTextStringOnCreature("Shadow Legionnaire racial benefits applied succesfully",PC, TRUE);
}

else

//Shadow Legionnaire

            if (GetXP(PC) == 0 && GetIsDM(PC) == FALSE &&iRace == RACIAL_TYPE_ELF && GetSubRace(PC)== "Shadow Legionnaire")
            {
            //Give Special items
            CreateItemOnObject("legion_item1",PC, 1);
            // Give Hide
            object oSpecialItem = CreateItemOnObject ("legion_1", PC, 1);
            //Equip Hide
            AssignCommand(oPlayer, ActionEquipItem (oSpecialItem, INVENTORY_SLOT_CARMOUR));
            FloatingTextStringOnCreature("Shadow Legionnaire racial benefits applied succesfully",PC, TRUE);
}

else

//Shadow Legionnaire

            if (GetXP(PC) == 0 && GetIsDM(PC) == FALSE &&iRace == RACIAL_TYPE_HALFELF && GetSubRace(PC)== "Shadow Legionnaire")
            {
            //Give Special items
            CreateItemOnObject("legion_item1",PC, 1);
            // Give Hide
            object oSpecialItem = CreateItemOnObject ("legion_1", PC, 1);
            //Equip Hide
            AssignCommand(oPlayer, ActionEquipItem (oSpecialItem, INVENTORY_SLOT_CARMOUR));
            FloatingTextStringOnCreature("Shadow Legionnaire racial benefits applied succesfully",PC, TRUE);
}

else

//Asyrian

            if (GetXP(PC) == 0 && GetIsDM(PC) == FALSE &&iRace == RACIAL_TYPE_DWARF && GetSubRace(PC)== "Asyrian")
            {
            //Give Special items
            CreateItemOnObject("asyrian_item1",PC, 1);
            // Give Hide
            object oSpecialItem = CreateItemOnObject ("asyrian_1", PC, 1);
            //Equip Hide
            AssignCommand(oPlayer, ActionEquipItem (oSpecialItem, INVENTORY_SLOT_CARMOUR));
            FloatingTextStringOnCreature("Asyrian racial benefits applied succesfully",PC, TRUE);
}

else

//Nordic Polarite

            if (GetXP(PC) == 0 && GetIsDM(PC) == FALSE &&iRace == RACIAL_TYPE_DWARF && GetSubRace(PC)== "Nordic Polarite")
            {
            //Give Special items
            CreateItemOnObject("nordic_item1",PC, 1);
            // Give Hide
            object oSpecialItem = CreateItemOnObject ("nordic_1", PC, 1);
            //Equip Hide
            AssignCommand(oPlayer, ActionEquipItem (oSpecialItem, INVENTORY_SLOT_CARMOUR));
            FloatingTextStringOnCreature("Nordic Polarite racial benefits applied succesfully",PC, TRUE);
}

else
//Nordic Polarite

            if (GetXP(PC) == 0 && GetIsDM(PC) == FALSE &&iRace == RACIAL_TYPE_HUMAN && GetSubRace(PC)== "Nordic Polarite")
            {
            //Give Special items
            CreateItemOnObject("nordic_item1",PC, 1);
            // Give Hide
            object oSpecialItem = CreateItemOnObject ("nordic_1", PC, 1);
            //Equip Hide
            AssignCommand(oPlayer, ActionEquipItem (oSpecialItem, INVENTORY_SLOT_CARMOUR));
            FloatingTextStringOnCreature("Nordic Polarite racial benefits applied succesfully",PC, TRUE);
}

else

//Iron Legionnaire

            if (GetXP(PC) == 0 && GetIsDM(PC) == FALSE &&iRace == RACIAL_TYPE_HALFORC && GetSubRace(PC)== "Iron Legionnaire")
            {
            //Give Special items
            CreateItemOnObject("iron_item1",PC, 1);
            // Give Hide
            object oSpecialItem = CreateItemOnObject ("iron_1", PC, 1);
            //Equip Hide
            AssignCommand(oPlayer, ActionEquipItem (oSpecialItem, INVENTORY_SLOT_CARMOUR));
            FloatingTextStringOnCreature("Iron Legionnaire racial benefits applied succesfully",PC, TRUE);
}

else

//Triniteon

            if (GetXP(PC) == 0 && GetIsDM(PC) == FALSE &&iRace == RACIAL_TYPE_HALFORC && GetSubRace(PC)== "Triniteon")
            {
            //Give Special items
            CreateItemOnObject("triniteon_item1",PC, 1);
            // Give Hide
            object oSpecialItem = CreateItemOnObject ("triniteon_1", PC, 1);
            //Equip Hide
            AssignCommand(oPlayer, ActionEquipItem (oSpecialItem, INVENTORY_SLOT_CARMOUR));
            FloatingTextStringOnCreature("Triniteon racial benefits applied succesfully",PC, TRUE);
}

else

//Triniteon

            if (GetXP(PC) == 0 && GetIsDM(PC) == FALSE &&iRace == RACIAL_TYPE_HUMAN && GetSubRace(PC)== "Triniteon")
            {
            //Give Special items
            CreateItemOnObject("triniteon_item1",PC, 1);
            // Give Hide
            object oSpecialItem = CreateItemOnObject ("triniteon_1", PC, 1);
            //Equip Hide
            AssignCommand(oPlayer, ActionEquipItem (oSpecialItem, INVENTORY_SLOT_CARMOUR));
            FloatingTextStringOnCreature("Triniteon racial benefits applied succesfully",PC, TRUE);
}

else


//Triniteon

            if (GetXP(PC) == 0 && GetIsDM(PC) == FALSE &&iRace == RACIAL_TYPE_DWARF && GetSubRace(PC)== "Triniteon")
            {
            //Give Special items
            CreateItemOnObject("triniteon_item1",PC, 1);
            // Give Hide
            object oSpecialItem = CreateItemOnObject ("triniteon_1", PC, 1);
            //Equip Hide
            AssignCommand(oPlayer, ActionEquipItem (oSpecialItem, INVENTORY_SLOT_CARMOUR));
            FloatingTextStringOnCreature("Triniteon racial benefits applied succesfully",PC, TRUE);
}

else


//Triniteon

            if (GetXP(PC) == 0 && GetIsDM(PC) == FALSE &&iRace == RACIAL_TYPE_HALFLING && GetSubRace(PC)== "Triniteon")
            {
            //Give Special items
            CreateItemOnObject("triniteon_item1",PC, 1);
            // Give Hide
            object oSpecialItem = CreateItemOnObject ("triniteon_1", PC, 1);
            //Equip Hide
            AssignCommand(oPlayer, ActionEquipItem (oSpecialItem, INVENTORY_SLOT_CARMOUR));
            FloatingTextStringOnCreature("Triniteon racial benefits applied succesfully",PC, TRUE);
}

else


//Triniteon

            if (GetXP(PC) == 0 && GetIsDM(PC) == FALSE &&iRace == RACIAL_TYPE_ELF && GetSubRace(PC)== "Triniteon")
            {
            //Give Special items
            CreateItemOnObject("triniteon_item1",PC, 1);
            // Give Hide
            object oSpecialItem = CreateItemOnObject ("triniteon_1", PC, 1);
            //Equip Hide
            AssignCommand(oPlayer, ActionEquipItem (oSpecialItem, INVENTORY_SLOT_CARMOUR));
            FloatingTextStringOnCreature("Triniteon racial benefits applied succesfully",PC, TRUE);
}

else


//Triniteon

            if (GetXP(PC) == 0 && GetIsDM(PC) == FALSE &&iRace == RACIAL_TYPE_HALFELF && GetSubRace(PC)== "Triniteon")
            {
            //Give Special items
            CreateItemOnObject("triniteon_item1",PC, 1);
            // Give Hide
            object oSpecialItem = CreateItemOnObject ("triniteon_1", PC, 1);
            //Equip Hide
            AssignCommand(oPlayer, ActionEquipItem (oSpecialItem, INVENTORY_SLOT_CARMOUR));
            FloatingTextStringOnCreature("Triniteon racial benefits applied succesfully",PC, TRUE);
}

else


//Triniteon

            if (GetXP(PC) == 0 && GetIsDM(PC) == FALSE &&iRace == RACIAL_TYPE_GNOME && GetSubRace(PC)== "Triniteon")
            {
            //Give Special items
            CreateItemOnObject("triniteon_item1",PC, 1);
            // Give Hide
            object oSpecialItem = CreateItemOnObject ("triniteon_1", PC, 1);
            //Equip Hide
            AssignCommand(oPlayer, ActionEquipItem (oSpecialItem, INVENTORY_SLOT_CARMOUR));
            FloatingTextStringOnCreature("Triniteon racial benefits applied succesfully",PC, TRUE);
}

else


//Shogunion

            if (GetXP(PC) == 0 && GetIsDM(PC) == FALSE &&iRace == RACIAL_TYPE_HALFORC && GetSubRace(PC)== "Shogunion")
            {
            //Give Special items
            CreateItemOnObject("shogunion_item1",PC, 1);
            // Give Hide
            object oSpecialItem = CreateItemOnObject ("shogunion_1", PC, 1);
            //Equip Hide
            AssignCommand(oPlayer, ActionEquipItem (oSpecialItem, INVENTORY_SLOT_CARMOUR));
            FloatingTextStringOnCreature("Shogunion racial benefits applied succesfully",PC, TRUE);
}

else


//Shogunion

            if (GetXP(PC) == 0 && GetIsDM(PC) == FALSE &&iRace == RACIAL_TYPE_HUMAN && GetSubRace(PC)== "Shogunion")
            {
            //Give Special items
            CreateItemOnObject("shogunion_item1",PC, 1);
            // Give Hide
            object oSpecialItem = CreateItemOnObject ("shogunion_1", PC, 1);
            //Equip Hide
            AssignCommand(oPlayer, ActionEquipItem (oSpecialItem, INVENTORY_SLOT_CARMOUR));
            FloatingTextStringOnCreature("Shogunion racial benefits applied succesfully",PC, TRUE);
}

else


//Shogunion

            if (GetXP(PC) == 0 && GetIsDM(PC) == FALSE &&iRace == RACIAL_TYPE_HALFLING && GetSubRace(PC)== "Shogunion")
            {
            //Give Special items
            CreateItemOnObject("shogunion_item1",PC, 1);
            // Give Hide
            object oSpecialItem = CreateItemOnObject ("shogunion_1", PC, 1);
            //Equip Hide
            AssignCommand(oPlayer, ActionEquipItem (oSpecialItem, INVENTORY_SLOT_CARMOUR));
            FloatingTextStringOnCreature("Shogunion racial benefits applied succesfully",PC, TRUE);
}

else



//Shogunion

            if (GetXP(PC) == 0 && GetIsDM(PC) == FALSE &&iRace == RACIAL_TYPE_ELF && GetSubRace(PC)== "Shogunion")
            {
            //Give Special items
            CreateItemOnObject("shogunion_item1",PC, 1);
            // Give Hide
            object oSpecialItem = CreateItemOnObject ("shogunion_1", PC, 1);
            //Equip Hide
            AssignCommand(oPlayer, ActionEquipItem (oSpecialItem, INVENTORY_SLOT_CARMOUR));
            FloatingTextStringOnCreature("Shogunion racial benefits applied succesfully",PC, TRUE);
}

else


//Shogunion

            if (GetXP(PC) == 0 && GetIsDM(PC) == FALSE &&iRace == RACIAL_TYPE_DWARF && GetSubRace(PC)== "Shogunion")
            {
            //Give Special items
            CreateItemOnObject("shogunion_item1",PC, 1);
            // Give Hide
            object oSpecialItem = CreateItemOnObject ("shogunion_1", PC, 1);
            //Equip Hide
            AssignCommand(oPlayer, ActionEquipItem (oSpecialItem, INVENTORY_SLOT_CARMOUR));
            FloatingTextStringOnCreature("Shogunion racial benefits applied succesfully",PC, TRUE);
}

else


//Shogunion

            if (GetXP(PC) == 0 && GetIsDM(PC) == FALSE &&iRace == RACIAL_TYPE_GNOME && GetSubRace(PC)== "Shogunion")
            {
            //Give Special items
            CreateItemOnObject("shogunion_item1",PC, 1);
            // Give Hide
            object oSpecialItem = CreateItemOnObject ("shogunion_1", PC, 1);
            //Equip Hide
            AssignCommand(oPlayer, ActionEquipItem (oSpecialItem, INVENTORY_SLOT_CARMOUR));
            FloatingTextStringOnCreature("Shogunion racial benefits applied succesfully",PC, TRUE);
}

else


//Shogunion

            if (GetXP(PC) == 0 && GetIsDM(PC) == FALSE &&iRace == RACIAL_TYPE_HALFELF && GetSubRace(PC)== "Shogunion")
            {
            //Give Special items
            CreateItemOnObject("shogunion_item1",PC, 1);
            // Give Hide
            object oSpecialItem = CreateItemOnObject ("shogunion_1", PC, 1);
            //Equip Hide
            AssignCommand(oPlayer, ActionEquipItem (oSpecialItem, INVENTORY_SLOT_CARMOUR));
            FloatingTextStringOnCreature("Shogunion racial benefits applied succesfully",PC, TRUE);
}

else


//Vampric

            if (GetXP(PC) == 0 && GetIsDM(PC) == FALSE &&iRace == RACIAL_TYPE_HUMAN && GetSubRace(PC)== "Vampric")
            {
            //Give Special items
            CreateItemOnObject("vampric_item1",PC, 1);
            // Give Hide
            object oSpecialItem = CreateItemOnObject ("vampric_1", PC, 1);
            //Equip Hide
            AssignCommand(oPlayer, ActionEquipItem (oSpecialItem, INVENTORY_SLOT_CARMOUR));
            FloatingTextStringOnCreature("Vampric racial benefits applied succesfully",PC, TRUE);
}

else

//Vampric

            if (GetXP(PC) == 0 && GetIsDM(PC) == FALSE &&iRace == RACIAL_TYPE_ELF && GetSubRace(PC)== "Vampric")
            {
            //Give Special items
            CreateItemOnObject("vampric_item1",PC, 1);
            // Give Hide
            object oSpecialItem = CreateItemOnObject ("vampric_1", PC, 1);
            //Equip Hide
            AssignCommand(oPlayer, ActionEquipItem (oSpecialItem, INVENTORY_SLOT_CARMOUR));
            FloatingTextStringOnCreature("Vampric racial benefits applied succesfully",PC, TRUE);
}

else

//Vampric

            if (GetXP(PC) == 0 && GetIsDM(PC) == FALSE &&iRace == RACIAL_TYPE_GNOME && GetSubRace(PC)== "Vampric")
            {
            //Give Special items
            CreateItemOnObject("vampric_item1",PC, 1);
            // Give Hide
            object oSpecialItem = CreateItemOnObject ("vampric_1", PC, 1);
            //Equip Hide
            AssignCommand(oPlayer, ActionEquipItem (oSpecialItem, INVENTORY_SLOT_CARMOUR));
            FloatingTextStringOnCreature("Vampric racial benefits applied succesfully",PC, TRUE);
            }

else


//Ozonite

            if (GetXP(PC) == 0 && GetIsDM(PC) == FALSE &&iRace == RACIAL_TYPE_HALFELF && GetSubRace(PC)== "Ozonite")
            {
            //Give Special items
            CreateItemOnObject("ozonite_item1",PC, 1);
            // Give Hide
            object oSpecialItem = CreateItemOnObject ("ozonite_1", PC, 1);
            //Equip Hide
            AssignCommand(oPlayer, ActionEquipItem (oSpecialItem, INVENTORY_SLOT_CARMOUR));
            FloatingTextStringOnCreature("Ozonite racial benefits applied succesfully",PC, TRUE);
            }



} // end main
