//
// Res_Death script
//
// Note:
//
// If a corpse is killed a second time before the fCorpseRemainTime expires, the first value will be used
// in the delaycommand.  Example:
//
// Time Index       Action
//     0             You Kill Creature
//     6             Faction resurrects killed creature
//     15            You Kill Same Creature
//     20            Creature Corpse disappears! (Time index does NOT reset for each death)
//
void main()
{
    float fCorpseRemainTime = 20.0;     // Amount of time corpse remains until death.
    SetIsDestroyable(FALSE,TRUE,TRUE);
    DelayCommand(fCorpseRemainTime,ExecuteScript("res_shout", OBJECT_SELF));
}
